Page MenuHomePhabricator

Use OOUI dialog for CX suggestions
Closed, ResolvedPublic

Description

CX uses a custom widget for modal poups when clicking on a suggestion:

It would better to use an OOUI dialog here (visual consistency, code de-duplication, better accessibility).

After https://gerrit.wikimedia.org/r/#/c/383570 this is the last remaining use of ext.cx.overlay.js.

Event Timeline

Esanders created this task.Jan 29 2018, 4:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 29 2018, 4:27 PM
matmarex added a subscriber: matmarex.

Removing the OOUI project, since it doesn't seem there are any bug reports or feature requests for OOUI here yet :)

matmarex removed a subscriber: matmarex.Jan 30 2018, 1:56 PM

Change 503648 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/ContentTranslation@master] Use OOUI dialog for CX suggestions

https://gerrit.wikimedia.org/r/503648

Change 503649 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/ContentTranslation@master] SelectedSourcePage: Increase padding slightly when in a dialog

https://gerrit.wikimedia.org/r/503649

Esanders added a comment.EditedApr 13 2019, 3:45 PM

https://gerrit.wikimedia.org/r/503649 evens out the padding slightly in dialog mode:

BeforeAfter

https://gerrit.wikimedia.org/r/503649 evens out the padding slightly in dialog mode:

BeforeAfter

Looks good to me. Thanks!

Change 503648 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Use OOUI dialog for CX suggestions

https://gerrit.wikimedia.org/r/503648

Change 503649 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] SelectedSourcePage: Even out padding slightly when in a dialog

https://gerrit.wikimedia.org/r/503649

santhosh triaged this task as Normal priority.Apr 18 2019, 4:15 AM
santhosh moved this task from Needs Triage to CX2 on the ContentTranslation board.